textures/avatar/pitsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/avatex/sky.tga
	q3map_surfacelight 100
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_lightsubdivide 256 
	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcMod scale 5 2
		tcMod scroll 0.9 0.5
		depthWrite
	}
	{
		map textures/avatex/sky.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/avatar/mudwall
{
	

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2c.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/avatar/mudwall3
{
	
	{
		map textures/base_wall/bluemetalsupport2c.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/avatar/energyfloor
{
	q3map_lightimage textures/avatex/marble1.tga
	q3map_lightsubdivide 256 

	qer_editorimage textures/avatex/marble1.tga
	{
		rgbgen identity      
		map $lightmap
	}


	{
		map textures/avatex/marble1.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
//		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
		q3map_surfacelight 500

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/avatex/marble1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}


}

textures/avatar/mudwall2
{
	qer_editorimage textures/avatex/mudwall.tga
	{
		rgbgen identity      
		map $lightmap
	}


	{
		map textures/avatex/block.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
        {
	        map textures/avatex/mudwall.tga
                blendFunc blend 
		tcMod scroll -0.05 -0.2
	        rgbGen identity
	}

}

textures/avatar/thedog
{
	qer_editorimage textures/avatex/bonz.tga
	{
		rgbgen identity      
		map $lightmap
	}

	{
		map textures/avatex/bonz.tga
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}

			
}

textures/avatar/dogright
{
	qer_editorimage textures/avatex/bonz.tga
	{
		rgbgen identity      
		map $lightmap
	}

	{
		map textures/avatex/bonz.tga
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}

        {
	        map textures/avatex/bonz.tga
                blendFunc blend 
		tcMod rotate 1799800
	        rgbGen identity
	}


}


textures/avatar/dogleft
{
	qer_editorimage textures/avatex/bonz.tga
	{
		rgbgen identity      
		map $lightmap
	}

	{
		map textures/avatex/bonz.tga
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}

        {
	        map textures/avatex/bonz.tga
                blendFunc blend 
		tcMod rotate 1800200
	        rgbGen identity
	}


}

textures/avatar/avafog2
{
qer_editorimage textures/avatex/bonz.tga
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap

fogparms ( 0 0.6 0.8 ) 500
}

textures/avatar/avafog
{
	qer_editorimage textures/avatex/bonz.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm 	nodrop
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0 0.6 0.8 ) 800

	
	
/*
		{
			map $lightmap
			blendFunc GL_dst_color GL_one
			tcmod scale 1 .01
			tcMod stretch sin 1.2 .8 0 1.5
			tcMod scroll 1 -2		
		}
*/
	
		{
			map textures/avatex/bonz.tga
			blendFunc GL_dst_color GL_one
			tcmod rotate 100
//			tcMod turb 0 .3 0 .2
		}

	

	
}


textures/avatar/jumpenergy
{
	qer_editorimage textures/gothic_block/blocks17.tga

	{
		map textures/gothic_block/blocks17.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
//		tcMod stretch sin 1.2 .8 0 1.5
		tcMod stretch sin 1.5 .8 0 1.5
//		tcMod stretch sin 1.2 .8 0 1
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/avatar/nolight
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_lightsubdivide 256 
	//light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}



textures/avatar/lavasolid2
{
	// Added to g3map_global texture on May 11, 1999
	qer_editorimage textures/liquids/lavahell.tga
	q3map_lightsubdivide 256 
	q3map_globaltexture
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 1000
	cull disable
	
	qer_trans .4
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}



textures/liquids/lavahell_1000
{
	// Added to g3map_global texture on May 11, 1999
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
  	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1000
	q3map_lightsubdivide 256 
	cull disable
	
	qer_trans .4
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/avatar/lavasolid
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	q3map_lightsubdivide 256 
	q3map_surfacelight 200
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	light 1
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}


textures/avatar/avalava
{
	// Added to g3map_global texture on May 11, 1999
	qer_editorimage textures/liquids/lavahell.tga

	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	cull disable
	q3map_lightsubdivide 256 
	
	qer_trans .4
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		blendFunc GL_ONE GL_ONE
//		map $lightmap
		tcMod turb 0 .2 0 .1
	}
}


textures/avatar/avaspace
{
//	qer_editorimage env/space1_bk.jpg

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
//      q3map_lightimage textures/skies/stars.tga
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
//	q3map_surfacelight 50
	q3map_lightsubdivide 256 

       skyparms env/avsky1 - -

	{
		map textures/avatar/avclouds3.jpg
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.03 0.03
		tcMod scale 5 5
	}
}

textures/avatar/avaspace3
{
//	qer_editorimage env/space1_bk.jpg

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
//      q3map_lightimage textures/skies/stars.tga
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
//	q3map_surfacelight 50
	q3map_lightsubdivide 256 

        skyparms env/avsky1 - -
       {
		map textures/avatar/avclouds2.jpg
		blendfunc gl_dst_color gl_zero
		tcMod scroll 0.03 0.03
		tcMod scale 1 1
	}
}

textures/avatar/avaspace2
{
//	qer_editorimage env/space1_bk.jpg

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
//      q3map_lightimage textures/skies/stars.tga
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
//	q3map_surfacelight 50
	q3map_lightsubdivide 256 

        skyparms env/space1 - -
       {
		map textures/skies/killsky_2.tga
		blendfunc blend
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}

textures/avatar/bluefog
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 50
 	fogparms ( .1 .15 .2 ) 600
// 	fogparms ( .1 .15 .2 ) 100
//  	fogparms ( .1 .15 .2 ) 300
	q3map_lightsubdivide 256 

}



textures/avatar/jumparrow
{
	qer_editorimage textures/avatar/arrows

surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	nolightmap

//	{
//		map textures/gothic_block/blocks17.tga
//		rgbGen identity
//	}
	
//	{
// 		map $lightmap
//		rgbGen identity
//		blendfunc gl_dst_color gl_zero
//	}

	{
		map textures/avatar/arrows.jpg
		blendfunc gl_one gl_one
//		tcMod stretch sin 1.2 .8 0 1.5
//		tcMod stretch sin 1.5 .8 0 1.5
//		tcMod stretch sin 1.2 .8 0 1
//		rgbGen wave square .5 .5 .25 1.5


//		rgbGen wave square .5 .5 .25 1
		rgbGen wave square 0 1 0 2
		tcMod scroll 0 2
	}
}

//q3map_lightsubdivide 192

textures/avatar/blackout
{	
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/sfx/blackness.tga
	}
 }

textures/avatar/blackout2
{
	qer_editorimage textures/avatar/black
	surfaceparm noimpact

	{
	map textures/avatar/black.jpg
	rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
	}

}

textures/avatar/glowwall
{
	qer_editorimage textures/avatar/slimypole.tga

	q3map_surfacelight 300
	q3map_lightsubdivide 256 
	light 1

	{
		map textures/avatar/glowwall.jpg
                tcMod scroll 1  3
                tcMod stretch sin .8 0.2 1 .2
		rgbGen identity
	}

	{
 		map textures/avatar/slimypole.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}


textures/avatar/colorwall
{
	q3map_surfacelight 3000
	q3map_lightsubdivide 256 
	light 1

	qer_editorimage textures/avatar/colorwall1
	{
		map textures/avatar/colorwall1.jpg
		tcMod scroll 0.75 0.33
		rgbGen identity
	}
        {
	        map textures/avatar/colorwallalpha.jpg
		blendfunc GL_DST_COLOR GL_ZERO
		tcMod scroll 2 1
		rgbGen wave sin .7 .3 .25 .4
	        rgbGen identity
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}

}



textures/avatar/purplewall
{
//	q3map_surfacelight 3000
//	light 1
	q3map_lightsubdivide 256 

	qer_editorimage textures/avatar/purplewall1


	{
		map textures/avatar/purplewall1.jpg
		tcMod scroll 0 -1
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}

}



textures/avatar/center2trn
{

        {
		map textures/sfx/fireswirl2.tga
                tcmod rotate 333
                tcMod stretch sin .8 0.2 0 9.7
	        rgbGen identity
	}
        {
	        map textures/gothic_floor/center2trn.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                tcmod rotate 30
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        map textures/gothic_floor/center2trn.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}



textures/avatar/aliensky2
{
Z	qer_editorimage textures/avatar/aliensky

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 100
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_lightsubdivide 256 
	skyparms - 512 -
	{
		map textures/avatar/aliensky.jpg
		tcMod scale 5 3
		tcMod scroll 0.9 0.5
		depthWrite
	}
	{
		map textures/avatar/bluealiensky.jpg
		tcMod scale 5 3
		tcMod scroll 0.2 0.1
		blendFunc GL_ONE GL_ONE
	}
}

textures/avatar/aliensky
{
	qer_editorimage textures/avatar/aliensky

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_surfacelight 200
	q3map_lightsubdivide 256 

	skyparms - 512 -
	
	{
		map textures/avatar/aliensky.jpg
		tcMod scale 5 3
		tcMod scroll 0.9 0.5
 		depthWrite
	}
	{
		map textures/avatar/bluealiensky.jpg
		tcMod scale 5 3
		tcMod scroll 0.2 0.1
		blendFunc GL_ONE GL_ONE
	}
}


textures/avatar/bluealienskysouth
{
	qer_editorimage textures/avatar/bluealiensky2

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 

	skyparms - 512 -
	
	{
		map textures/avatar/bluealiensky2.jpg
		tcMod scale 4 4
		tcMod scroll 0.1 0.2
		depthWrite
	}
	{
		map textures/avatar/bluealiensky.jpg
		tcMod scale 5 3
		tcMod scroll 0.4 0.8
		blendFunc GL_ONE GL_ONE
	}
}


textures/avatar/bluealienskynorth
{
	qer_editorimage textures/avatar/bluealiensky2

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 

	skyparms - 512 -
	
	{
		map textures/avatar/bluealiensky2.jpg
		tcMod scale 4 4
		tcMod scroll 0.1 0.2
		depthWrite
	}
	{
		map textures/avatar/bluealiensky.jpg
		tcMod scale 5 3
		tcMod scroll 0.4 0.8
		blendFunc GL_ONE GL_ONE
	}
}

textures/avatar/bluejumpenergy
{
	qer_editorimage textures/avatar/bluenergy
	surfaceparm nolightmap

	{
		clampmap textures/avatar/bluenergy.jpg
		tcMod stretch sin 1.5 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	{
		clampmap textures/avatar/bluenergy.jpg
		blendfunc GL_ONE GL_ONE
		tcMod stretch sin 1.5 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}


//	qer_editorimage textures/avatar/energycloud
//	map textures/avatar/energyfield.jpg
//	map textures/avatar/energycloud.jpg

textures/avatar/energyfield
{
	qer_editorimage textures/avatar/energycloud

        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	light 1
	q3map_surfacelight 400
	q3map_lightsubdivide 256 


	{
		map textures/avatar/energyfield.jpg
                tcMod scroll -2 0
//              tcMod stretch sin .8 0.2 1 .2
//		blendFunc GL_DST_COLOR GL_SRC_COLOR
//		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE_MINUS_SRC_COLOR
		blendFunc GL_ONE GL_ONE

//		rgbGen identity
	}

	{
		map textures/avatar/lit.jpg
                tcMod scroll -2.5 1.8
//		tcmod turb 0.2 0 0.4 1
		tcmod turb 0.2 0.1 0.4 1
		blendFunc GL_ONE GL_ONE
//	        rgbGen wave sin 0 0.5 0.5 0
	        rgbGen wave sin 1 2 0.7 0.8
	}




}

textures/avatar/energyfieldfadein
{
	qer_editorimage textures/avatar/energycloud

        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	light 1
	q3map_surfacelight 400

	q3map_lightsubdivide 256 

	{
		map textures/avatar/energyfield2.jpg
                tcMod scroll 2 0
//              tcMod stretch sin .8 0.2 1 .2
//		blendFunc GL_DST_COLOR GL_SRC_COLOR
//		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE_MINUS_SRC_COLOR
		blendFunc GL_ONE GL_ONE

//		rgbGen identity
	}

	{
		map textures/avatar/lit.jpg
                tcMod scroll 2.5 -0.8
//		tcmod turb 0.2 0 0.4 1
		tcmod turb 0.2 0.1 0.4 1
		blendFunc GL_ONE GL_ONE
//	        rgbGen wave sin 0 0.5 0.5 0
	        rgbGen wave sin 0 1 0.7 0.8
	}




}

textures/avatar/energyfieldfadeout
{
	qer_editorimage textures/avatar/energycloud

        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	light 1
	q3map_surfacelight 400
	q3map_lightsubdivide 256 


	{
		map textures/avatar/energyfield2.jpg
                tcMod scroll -2 0
//              tcMod stretch sin .8 0.2 1 .2
//		blendFunc GL_DST_COLOR GL_SRC_COLOR
//		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE_MINUS_SRC_COLOR
		blendFunc GL_ONE GL_ONE

//		rgbGen identity
	}

	{
		map textures/avatar/lit.jpg
                tcMod scroll -2.5 0.8
//		tcmod turb 0.2 0 0.4 1
		tcmod turb 0.2 0.1 0.4 1
		blendFunc GL_ONE GL_ONE
//	        rgbGen wave sin 0 0.5 0.5 0
	        rgbGen wave sin 0 1 0.7 0.8
	}




}

textures/avatar/avroundsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/avatar/cyansky.tga
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_lightsubdivide 256 
	skyparms - 512 -
	{
		map textures/avatar/cyansky.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/avatar/avclouds2.jpg
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}



textures/avatar/avroundskybright
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
 	qer_editorimage textures/avatar/cyansky.tga
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_lightsubdivide 256 
//	q3map_surfacelight 5000
	skyparms - 512 -
	{
		map textures/avatar/cyansky.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/avatar/avclouds2.jpg
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}
textures/avatar/riverbedlight
{
	qer_editorimage textures/avatar/riverbed

//	surfaceparm	nodraw
	surfaceparm	nonsolid
	surfaceparm nolightmap			
	q3map_lightsubdivide 256 

	q3map_surfacelight 100
	{
		map textures/avatar/riverlight.tga
		blendFunc GL_SRC_ALPHA GL_ONE


	}
}



textures/avatar/riverbedtexture
{
	qer_editorimage textures/avatar/riverbed

	q3map_surfacelight 50
	q3map_lightsubdivide 256 

	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/avatar/riverbed.jpg
		rgbgen identity      
	}

}


textures/avatar/whiteskylight
{
	qer_editorimage textures/avatar/whitelight

	surfaceparm	nonsolid
	surfaceparm     nolightmap			
	surfaceparm 	nomarks
	surfaceparm 	noimpact
	q3map_lightsubdivide 256 

	q3map_surfacelight 1000000
	{
		map textures/avatar/whitelight.tga
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}


textures/avatar/whiteskylightdraw
{
	qer_editorimage textures/avatar/whitelight

	q3map_surfacelight 1000000
	surfaceparm     nolightmap			
	surfaceparm 	nomarks
	q3map_lightsubdivide 256 

	{
		map textures/avatar/whitelight.tga
		blendFunc GL_SRC_ALPHA GL_ONE
	}

}


textures/avatar/climbout
{
	qer_editorimage textures/avatar/whitelight

	surfaceparm     nolightmap			
	surfaceparm 	nomarks

	{
		map textures/avatar/whitelight.tga
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}

textures/avatar/riverbedlight
{
	qer_editorimage textures/avatar/riverbed

	surfaceparm nonsolid
	surfaceparm nolightmap			
	q3map_lightsubdivide 256 

	q3map_surfacelight 100
	{
		map textures/avatar/riverlight.tga
		blendFunc GL_SRC_ALPHA GL_ONE


	}
}


textures/avatar/lavaskylight
{
	qer_editorimage textures/avatar/redlight

	surfaceparm nonsolid
	surfaceparm nolightmap			

	q3map_lightsubdivide 256 

	q3map_surfacelight 100
	{
		map textures/avatar/riverlight.tga
		blendFunc GL_SRC_ALPHA GL_ONE


	}
}
 
textures/avatar/jumpenergyonly
{
	qer_editorimage textures/sfx/jumppadsmall.tga
	surfaceparm	nonsolid
	surfaceparm     nolightmap			
	surfaceparm 	nomarks
	surfaceparm 	noimpact

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.5 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/avatar/churchsky
{
	qer_editorimage textures/skies/pjbasesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
//		q3map_surfacelight 100

	skyparms - 512 -
	
	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/skies/pjbasesky.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.01 -0.01
		tcMod scale 5 5
	}
}

textures/avatar/flame
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/sfx/flame1.tga
	q3map_lightsubdivide 256 
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/avatar/yel_light
{
	qer_editorimage textures/base_light/ceil1_4.tga
	surfaceparm nomarks
	q3map_lightsubdivide 256 
	q3map_surfacelight 20000
	light 1
	//	A yellow ceiling light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/avatar/baselight
{
	qer_editorimage textures/base_light/wsupprt1_12.tga

	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightsubdivide 256 
	//light1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/avatar/church_fog
{
	qer_editorimage textures/avatar/castsky3
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap

fogparms ( 0.7 0.5 0.3 ) 500

}

textures/avatar/church_fogcap
{
	qer_editorimage textures/avatar/churchfog
	surfaceparm nomarks
	surfaceparm nolightmap			

	
//	{
//		map textures/avatar/churchglass.jpg
//		blendfunc GL_ONE GL_ONE
//	}
	
	{
		map textures/avatar/churchfog.jpg
		tcMod scroll 1 2
//		rgbGen wave sin 0.5 0.5 1 1
//		tcMod scale 3 3

//                tcmod scale .2 .2
//                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01

		blendfunc GL_ONE GL_ONE
	}


	{
		map textures/avatar/churchfog.jpg
		tcMod scale 0.5 0.5
		tcMod scroll 2 4
                tcMod turb 0 .1 0 .01
		blendfunc GL_ONE GL_ONE
	}

}

textures/avatar/transgothicnew
{
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/gothic_block/block10d.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/avatar/water

//	*********************************************************
//	*      Medium clear calm water. Created September 9	*
//	*********************************************************
		
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .05 .02
		}
	
//		{ 
//			map textures/liquids/pool3d_3e.tga
//			blendFunc GL_dst_color GL_one
//			tcmod scale -.5 -.5
//			tcmod scroll .025 .025
//		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	

//	END
	}


textures/avatar/introskyold
{
	qer_editorimage textures/skies/pjbasesky.tga
	q3map_lightimage textures/skies/topclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_surfacelight 200

	skyparms full 128 -
	
	{
		map textures/skies/bluedimclouds.tga
		tcMod scroll 0.015 0.016
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.01 -0.012
		tcMod scale 5 5
	}
}


textures/avatar/firesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/avatar/firesky2
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_surfacelight 370
	q3map_lightsubdivide 256 
	skyparms - 512 -
	{
		map textures/avatar/firesky2.jpg
		tcMod scale 7 7
		tcMod scroll 0.02 0.05
		depthWrite
	}
	{
		map textures/avatar/firesky1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 5 5
 		tcMod scroll 0.03 0.06
	}
}


textures/avatar/avskynolight
{
	qer_editorimage textures/avatar/bluesky1

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 

//	skyparms full 200 -
	skyparms - 512 -
	
	{
		map textures/avatar/greysky1.tga
		tcMod scale 7 7
		tcMod scroll 0.0 -0.02
		depthWrite
	}
	{
		map textures/avatar/bluesky2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 5 5
 		tcMod scroll 0.0 -0.04
	}
}



textures/avatar/avskymainroom
{
	qer_editorimage textures/avatar/bluesky1

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_surfacelight 190

//	skyparms full 200 -
	skyparms - 512 -
	
	{
		map textures/avatar/greysky1.tga
		tcMod scale 7 7
		tcMod scroll 0.0 -0.02
		depthWrite
	}
	{
		map textures/avatar/bluesky2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 5 5
 		tcMod scroll 0.0 -0.04
	}
}



textures/avatar/avsky1
{
	qer_editorimage textures/avatar/bluesky1

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 

	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_surfacelight 180

	skyparms - 512 -
	
	{
		map textures/avatar/greysky1.tga
		tcMod scale 7 7
		tcMod scroll 0.0 -0.02
		depthWrite
	}
	{
		map textures/avatar/bluesky2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 5 5
 		tcMod scroll 0.0 -0.04
	}
}


textures/avatar/avsky2
{
	qer_editorimage textures/avatar/bluesky1

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 

	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_surfacelight 185


//	skyparms full 200 -
	skyparms - 512 -
 	
	{
		map textures/avatar/greysky1.tga
		tcMod scale 7 7
		tcMod scroll 0.0 -0.02
		depthWrite
	}
	{
		map textures/avatar/bluesky2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 5 5
 		tcMod scroll 0.0 -0.04
	}
}

 
textures/avatar/introsky
{
	qer_editorimage textures/avatar/firesky3

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_surfacelight 150

//	skyparms full 200 -
	skyparms - 512 -
	
	{
		map textures/avatar/firesky3.jpg
		tcMod scale 7 7
		tcMod scroll 0.02 0.05
		depthWrite
	}
	{
		map textures/avatar/greysky1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod scale 5 5
 		tcMod scroll 0.03 0.06
	}
}



textures/avatar/introskynolight
{
	qer_editorimage textures/avatar/firesky3

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture

	skyparms - 512 -
	
	{
		map textures/avatar/firesky3.jpg
		tcMod scale 7 7
		tcMod scroll 0.02 0.05
		depthWrite
	}
	{
		map textures/avatar/greysky1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod scale 5 5
 		tcMod scroll 0.03 0.06
	}
}



textures/avatar/castlesky
{
	qer_editorimage textures/avatar/bluesky3
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	0.316383 0.324632 0.358662 150 60 85
	q3map_surfacelight 150

	skyparms - 512 -
	{
		map textures/avatar/bluesky3.jpg
		tcMod scale 7 7
		tcMod scroll 0.02 0.05
		depthWrite
	}
	{
		map textures/avatar/skyline1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 5 5
 		tcMod scroll 0.03 0.06
	}
}


textures/avatar/redoutlight
{
	qer_editorimage textures/avatar/rlighttop.tga
	q3map_lightimage textures/avatar/fire1
	q3map_surfacelight 4000
	q3map_lightsubdivide 256 

	{
		map textures/avatar/fire1.jpg
		blendfunc GL_ONE GL_ONE
 		tcMod scroll 0.3 0.6
		tcMod scale 3 3
//		rgbGen wave sin .5 .5 0 0.5
	}
	{
		map textures/avatar/rlighttop.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		tcMod scale 8 4
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}

}


textures/avatar/bluearrowgreen
{
//	surfaceparm nomarks
//	q3map_surfacelight 1000
	qer_editorimage textures/avatar/arrow1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_floor/q1metal7_99.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/avatar/arrow1.jpg
		rgbGen wave sin 0.5 0.5 0.5 0.5
		blendfunc GL_ONE GL_ONE
	}
}



textures/avatar/bluearrowbrick
{
//	surfaceparm nomarks
//	q3map_surfacelight 1000
	qer_editorimage textures/avatar/arrow1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_wall/streetbricks14.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/avatar/arrow1.jpg
		rgbGen wave sin 0.5 0.5 0.5 0.5
		blendfunc GL_ONE GL_ONE
	}
}


textures/avatar/bluearrowbrown
{
//	surfaceparm nomarks
//	q3map_surfacelight 1000
	qer_editorimage textures/avatar/arrow1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_floor/largerblock3b4.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/avatar/arrow1.jpg
		rgbGen wave sin 0.5 0.5 0.5 0.5
		blendfunc GL_ONE GL_ONE
	}
}


textures/avatar/bluearrowgreenfade
{
//	surfaceparm nomarks
//	q3map_surfacelight 1000
	qer_editorimage textures/avatar/arrow2
 	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_floor/q1metal7_99.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/avatar/arrow2.jpg
		rgbGen wave sin 0.5 0.5 0.5 0.5
		blendfunc GL_ONE GL_ONE
	}
}



textures/avatar/bluearrowbrickfade
{
//	surfaceparm nomarks
//	q3map_surfacelight 1000
	qer_editorimage textures/avatar/arrow2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_wall/streetbricks14.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/avatar/arrow2.jpg
		rgbGen wave sin 0.5 0.5 0.5 0.5
		blendfunc GL_ONE GL_ONE
	}
}


textures/avatar/bluearrowbrownfade
{
	qer_editorimage textures/avatar/arrow2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_floor/largerblock3b4.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/avatar/arrow2.jpg
		rgbGen wave sin 0.5 0.5 0.5 0.5
		blendfunc GL_ONE GL_ONE
	}
}



textures/avatar/uparrow
{
//	qer_editorimage textures/gothic_wall/xiantourneycolumn_b4

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_wall/xiantourneycolumn_b4.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/avatar/arrow3.jpg
		rgbGen wave sin 0.5 0.5 0.5 0.5
		tcmod scale 1 0.5
		blendfunc GL_ONE GL_ONE
	}
}

/////////////////Kit logo
//******************************************************//
//	base_wall/bluemetal1b_chrome			//
//	was using inexistent TGA for editorimage:	//
//	changed qer_editorimage	to custom		//
//	image bluemetal1b_shiny_qer.tga			//
//	Phase 2 cleanup					//
//	texture robbing issues solved in Build189	//
//	bluemetal1b_shiny_qer.tga no longer needed	//
//	changed qer_editorimage				//
//	to bluemetal1b_shiny.tga			//
//******************************************************//

textures/kit-carsonra3/kitlogo1
{
	qer_editorimage textures/kit-carsonra3/kitlogo1.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .75 .75
	}
	
	{
		map textures/kit-carsonra3/kitlogo1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}